Package org.drinkless.tdlib

# Class TdApi.StorePaymentPurposeGiftedPremium

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.StorePaymentPurpose
org.drinkless.tdlib.TdApi.StorePaymentPurposeGiftedPremium

Enclosing class:
  TdApi

public static class TdApi.StorePaymentPurposeGiftedPremium extends TdApi.StorePaymentPurpose
The user gifting Telegram Premium to another user.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.StorePaymentPurpose

  `TdApi.StorePaymentPurpose.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `amount`
  Paid amount, in the smallest units of the currency.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `currency`
  ISO 4217 currency code of the payment currency.
  `long`
  `userId`
  Identifier of the user to which Premium was gifted.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StorePaymentPurposeGiftedPremium()`
  The user gifting Telegram Premium to another user.
  `StorePaymentPurposeGiftedPremium(long userId, String currency, long amount)`
  The user gifting Telegram Premium to another user.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### userId

    public long userId
    Identifier of the user to which Premium was gifted.

  - ### currency

    public String currency
    ISO 4217 currency code of the payment currency.

  - ### amount

    public long amount
    Paid amount, in the smallest units of the currency.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### StorePaymentPurposeGiftedPremium

    public StorePaymentPurposeGiftedPremium()
    The user gifting Telegram Premium to another user.

  - ### StorePaymentPurposeGiftedPremium

    public StorePaymentPurposeGiftedPremium(long userId, String currency, long amount)
    The user gifting Telegram Premium to another user.
    Parameters:
      `userId` - Identifier of the user to which Premium was gifted.
      `currency` - ISO 4217 currency code of the payment currency.
      `amount` - Paid amount, in the smallest units of the currency.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.StorePaymentPurpose`
    Returns:
      this.CONSTRUCTOR